diff --git a/joli.js b/joli.js
index 12a7652..76f7407 100644
--- a/joli.js
+++ b/joli.js
@@ -495,6 +495,8 @@ var joliCreator = function() {
                     return 'insert into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
                 case 'replace':
                     return 'replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
+                case 'insert_replace':
+                    return 'insert or replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
                 case 'select':
                     var join = '';
 
@@ -674,6 +676,11 @@ var joliCreator = function() {
             this.data.from = table;
             return this;
         },
+        insertReplace: function(table) {
+            this.data.operation = 'insert_replace';
+            this.data.from = table;
+            return this;
+        },
         select: function(columns) {
             this.data.operation = 'select';
 
